surface
matte_output( 
	float Ka = 1;
	float Kd = 1;
	output varying normal Nn=0;
	output varying point Pp=0;
	output varying color Cc=0;
	output varying float Ff=0 )
{
	normal Nf;

	Nf = faceforward(normalize(N), I);

	Oi = Os;
	Ci = Os * Cs * (Ka*ambient() + Kd*diffuse(Nf));
	
	Nn = normalize(N);
	Pp = P;

	Cc = Kd * diffuse(Nf);
	Ff = Ka;	
}

