/******************************************************************************/
/*                                                                            */
/*    Copyright (c)The 3Delight Developers.                                   */
/*    All Rights Reserved.                                                    */
/*                                                                            */
/******************************************************************************/


// ===========================================================================
// = LIBRARY
//     3delight
// = FILENAME
//     dlTokenRIGlue.h
// = AUTHOR(S)
//     Patrick Fournier
// = VERSION
//     $Revision: 1.3 $
// = DATE RELEASED
//     $Date: 2002/04/26 20:32:54 $
// = RCSID
//     $Id: dlTokenRIGlue.h,v 1.3 2002/04/26 20:32:54 aghiles Exp $
// = COPYRIGHT
//     Copyright  1999-2000 Centre de traitement en imagerie virtuelle inc.
//     All Rights Reserved.
// ===========================================================================

#ifndef __dlTokenRIGlue_HH
#define __dlTokenRIGlue_HH

/* These types are equivalent to RenderMan interface types */

typedef short RIGBoolean;
typedef float RIGFloat;

/* Define RIGInt as a 32 bit signed integer */
typedef int RIGInt;

typedef char *RIGToken;

typedef RIGFloat RIGColor[3];
typedef RIGFloat RIGPoint[3];
typedef RIGFloat RIGVector[3];
typedef RIGFloat RIGNormal[3];
typedef RIGFloat RIGHpoint[4];
typedef RIGFloat RIGMatrix[4][4];
typedef RIGFloat RIGBasis[4][4];
typedef RIGFloat RIGBound[6];
typedef char *RIGString;

typedef void *RIGPointer;

#endif // __dlTokenRIGlue_HH
