/******************************************************************************/
/*                                                                            */
/*    Copyright (c)The 3Delight Team.                                         */
/*    All Rights Reserved.                                                    */
/*                                                                            */
/******************************************************************************/

surface defaultsurface(
	float Kd=.8, Ka=.2;
	string texturename = "" )
{
	float d = normalize(I) . normalize(N);

	color texturecolor = ( texturename != "" ) ? texture( texturename ) : 1;

	Ci = Cs * ( Ka + Kd*d*d ) * texturecolor;
	Oi = Os;

	Ci *= Oi;
}
