/******************************************************************************/
/*                                                                            */
/*    Copyright (c)The 3Delight Team.                                         */
/*    All Rights Reserved.                                                    */
/*                                                                            */
/******************************************************************************/

volume
depthcue(
	float mindistance = 0, maxdistance = 1;
	color background = 0; )
{
	float d =
		clamp( (depth(P) - mindistance) / (maxdistance - mindistance), 0., 1. );

	Ci = mix( Ci, background * Oi, d );
}
