/******************************************************************************/
/*                                                                            */
/*    Copyright (c)The 3Delight Team.                                         */
/*    All Rights Reserved.                                                    */
/*                                                                            */
/******************************************************************************/

surface
matte( float Ka = 1, Kd = 1; )
{
	normal Nf;

	Nf = faceforward( normalize(N), I );

	Oi = Os;
	Ci = Cs * ( Ka*ambient() + Kd*diffuse(Nf) );

	Ci *= Oi;
}

