/******************************************************************************/
/*                                                                            */
/*    Copyright (c) Centre de traitement en imagerie virtuelle inc.           */
/*    All Rights Reserved.                                                    */
/*                                                                            */
/*    These coded instructions, statements, and computer programs  contain    */
/*    unpublished  proprietary and  confidential information of  Centre de    */
/*    traitement  en  imagerie virtuelle inc. (CTIV), and are protected by    */
/*    Federal copyright law. They may not be disclosed to third parties or    */
/*    or duplicated in any form, in whole or in  part, without  the  prior    */
/*    written consent of CTIV.                                                */
/*                                                                            */
/******************************************************************************/


// ===========================================================================
// = LIBRARY
//     
// = FILENAME
//     dlLimits.h
// = AUTHOR(S)
//     Patrick Fournier
// = VERSION
//     $Revision: 1.2 $
// = DATE RELEASED
//     $Date: 2000/05/25 21:10:47 $
// = RCSID
//     $Id: dlLimits.h,v 1.2 2000/05/25 21:10:47 marco Exp $
// = COPYRIGHT
//     Copyright  1999-2000 Centre de traitement en imagerie virtuelle inc.
//     All Rights Reserved.
// ===========================================================================


#ifndef __dlLimits_H
#define __dlLimits_H

#ifndef __declspec
#ifndef WIN32
#define __declspec(x)
#endif
#endif


// ===========================================================================
//      C L A S S E S
// ===========================================================================


// ===========================================================================
//
//      CLASS DlLimits
//
// ===========================================================================

class DlLimits
{
public:
    static const float sm_nearestClipPlane;
    static const float sm_farthestClipPlane;
    static const float sm_largestFStop;

	__declspec(dllexport) static float NearestClipPlane();
	__declspec(dllexport) static float FarthestClipPlane();

protected:
private:
};


#endif // __dlLimits_H

